package com.yc.ship.module.resource.enums;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@Getter
@AllArgsConstructor
public enum CompanyResourceTypeEnum implements IntArrayValuable {
    CAR(1, "车辆"),
    GUIDE(2, "导游");
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(CompanyResourceTypeEnum::getType).toArray();
    private final Integer type;
    private final String name;
    @Override
    public int[] array() {
        return ARRAYS;
    }
}
